Package ru.bitel.bgbilling.kernel.script.common.service

# Interface ScriptService

    public interface ScriptService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `backup​(ScriptBackup backup)` |
  `void` | `deleteBackup​(int backupId)` |
  `void` | `deleteLibrary​(int scriptId)` |
  `ScriptBackup` | `getBackup​(int backupId)` |
  `ScriptLibrary` | `getLibrary​(int scriptId)` |
  `Revision` | `getRevision​(int scriptId)` |
  `java.util.List<ScriptLibrary>` | `list()` |
  `java.util.List<ScriptBackup>` | `listBackup​(int scriptId, int type)` |
  `java.util.List<ScriptLibrary>` | `pureList()` |
  `int` | `test​(int value)` |
  `Revision` | `update​(ScriptLibrary lib)` |

- ## Method Details

  - ### list

    java.util.List<ScriptLibrary> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### pureList

    java.util.List<ScriptLibrary> pureList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLibrary

    ScriptLibrary getLibrary​(int scriptId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getRevision

    Revision getRevision​(int scriptId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteLibrary

    void deleteLibrary​(int scriptId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### test

    int test​(int value)

  - ### update

    Revision update​(ScriptLibrary lib) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### backup

    void backup​(ScriptBackup backup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listBackup

    java.util.List<ScriptBackup> listBackup​(int scriptId, int type) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteBackup

    void deleteBackup​(int backupId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getBackup

    ScriptBackup getBackup​(int backupId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`